<?php
/**
 * @file Contains the code to generate the custom drush commands.
 * @category Drush INC
 * @package Drush
*/

/**
 * Implements hook_drush_command().
*/
function markdown_exporter_drush_command() {
 $items = array();
 $items['markdown-export'] = [
   'description' => 'Export content by type in md format',
   'arguments' => [
     'ctype' => 'Content type',
   ],
   'drupal dependencies' => ['markdown_exporter'],
   'aliases' => ['mde'],
   'examples' => [
    'drush mde' => t('Generates markdown files for node across all content types')
   ]
 ];
 return $items;
}

/**
 * Call back function drush_markdown_exporter_markdown_export()
 * The call back function name in the  following format
 *   drush_{module_name}_{item_id_for_command}()
*/
function drush_markdown_exporter_markdown_export($args = NULL) {

  //load all nodes
  $node_types = \Drupal\node\Entity\NodeType::loadMultiple();
  // If you need to display them in a drop down:
  $options = [];
  foreach ($node_types as $node_type) {
    if ($node_type == $args)) {
      $options[$node_type->id()] = $node_type->label();
    }
  }

  \Drupal::service('markdown_exporter.marekdown_generator')->bulkExport($options, 'cli');
}